FieldGroup.h File Reference
`#include <boost/foreach.hpp>`
`#include <boost/tokenizer.hpp>`
`#include <boost/thread/mutex.hpp>`
`#include <boost/mpl/vector.hpp>`
`#include <boost/mpl/for_each.hpp>`
`#include <boost/mpl/placeholders.hpp>`
`#include <boost/mpl/push_back.hpp>`
`#include <boost/mpl/transform.hpp>`
`#include <boost/fusion/mpl.hpp>`
`#include <boost/fusion/algorithm/iteration/for_each.hpp>`
`#include <boost/fusion/include/for_each.hpp>`
`#include <boost/fusion/include/as_vector.hpp>`
`#include "DenseField.h"`
`#include "Field3DFile.h"`
`#include "FieldInterp.h"`
`#include "InitIO.h"`
`#include "MIPField.h"`
`#include "MIPUtil.h"`
`#include "SparseField.h"`
`#include "MinMaxUtil.h"`
`#include "FieldWrapper.h"`
`#include "ns.h"`

Go to the source code of this file.

## Classes

struct | detail::LoadFields< 1 >
struct | detail::LoadFields< 3 >
struct | detail::LoadFieldsParams
struct | detail::MakeDense< T >
| MPL utility. More...
struct | detail::MakeMIPDense< T >
| MPL utility. More...
struct | detail::MakeMIPSparse< T >
| MPL utility. More...
struct | detail::MakeSparse< T >
| MPL utility. More...
class | FieldGroup< BaseTypeList_T, Dims_T >
struct | FieldGroup< BaseTypeList_T, Dims_T >::CountFields
struct | FieldGroup< BaseTypeList_T, Dims_T >::DoWsBoundsOptimization
struct | FieldGroup< BaseTypeList_T, Dims_T >::GetIntersections
struct | FieldGroup< BaseTypeList_T, Dims_T >::GetMinMax
struct | FieldGroup< BaseTypeList_T, Dims_T >::GetMinMaxMIP
struct | FieldGroup< BaseTypeList_T, Dims_T >::GetMinMaxPrefilt
struct | FieldGroup< BaseTypeList_T, Dims_T >::GetWsBounds
struct | FieldGroup< BaseTypeList_T, Dims_T >::GrabFields
struct | FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMax
struct | FieldGroup< BaseTypeList_T, Dims_T >::MakeMinMaxMIP
struct | FieldGroup< BaseTypeList_T, Dims_T >::MemSize
struct | FieldGroup< BaseTypeList_T, Dims_T >::PointIsect
struct | FieldGroup< BaseTypeList_T, Dims_T >::Sample
struct | FieldGroup< BaseTypeList_T, Dims_T >::SampleMIP
struct | FieldGroup< BaseTypeList_T, Dims_T >::SampleMIPMultiple
struct | FieldGroup< BaseTypeList_T, Dims_T >::SampleMultiple

## Namespaces

namespace | detail

## Typedefs

typedef FieldGroup< ScalarTypes, 1 > | ScalarFieldGroup
typedef FieldGroup< VectorTypes, 3 > | VectorFieldGroup
typedef mpl::vector< Field3D::V3h, Field3D::V3f, Field3D::V3d > | VectorTypes

## Enumerations

enum | MinMaxMode

## Functions

std::vector< V3d > | detail::cornerPoints (const Box3d &box)
bool | detail::intersect (const Ray3d &ray, const Box3d &box, double &outT0, double &outT1)
std::vector< V3d > | detail::unitCornerPoints ()

## Variables

static const char * | detail::k_maxSuffix = "_max"
static const char * | detail::k_minSuffix = "_min"
FIELD3D_NAMESPACE_OPEN typedef mpl::vector< Field3D::half, float, double > | ScalarTypes

## Typedef Documentation

## VectorTypes

typedef mpl::vector<Field3D::V3h, Field3D::V3f, Field3D::V3d> VectorTypes

Definition at line 51 of file FieldGroup.h.

## ScalarFieldGroup

typedef FieldGroup<ScalarTypes, 1> ScalarFieldGroup

Definition at line 475 of file FieldGroup.h.

## VectorFieldGroup

typedef FieldGroup<VectorTypes, 3> VectorFieldGroup

Definition at line 476 of file FieldGroup.h.

## Enumeration Type Documentation

## MinMaxMode

enum MinMaxMode

Definition at line 1371 of file FieldGroup.h.

{
Min,
Max
};

## Variable Documentation

## ScalarTypes

FIELD3D_NAMESPACE_OPEN typedef mpl::vector<Field3D::half, float, double> ScalarTypes

Definition at line 50 of file FieldGroup.h.